{% extends "accounts/base.html" %}

{% block content %}

<div class="container" id="containerSBN">

    <div class="card text-center">
        <div class="card-body">
            <p>
                <label for="mySearch">Search Tables</label>
                <input type="text" placeholder="Search..." id="mySearch">
            </p>

            <div>
                <div class="row"   id="eee" style="margin-right: 0px;">
                   
                </div>
                <div class="row"> 
                        <div class="dt-buttons btn-group col-sm-12 col-md-6 align-self-end">Submission Boxes</div>
                        <div class="dt-buttons btn-group col-sm-12 col-md-5 align-self-end">Submission Accounts</div>
                    
                </div>
            </div>

        </div>
    </div>


    <div >

        <table id="dtPluginExample" class="table table-striped table-hover dt-responsive display nowrap mytables  "
            style="width:100%">
            <thead>
                <tr>
                    <th>ega_box_number</th>
                    <th>rt_ticket</th>
                    <th>emails</th>
                    <th>comments</th>
                    <th>received_dta</th>
                    <th>account_opened_date</th>
                    <th>Delete</th>

                </tr>
            </thead>
            <tbody>
                {% for sb in submissionboxes %}
                <tr>
                    <td>{{sb.ega_box_number}}</td>
                    <td> {{sb.rt_ticket}}</td>
                    <td>{{sb.emails}}</td>
                    <td>{{sb.comments}}</td>
                    <td>{{sb.received_dta}} </td>
                    <td>{{sb.account_opened_date}} </td>
                    <td>
                        <form method="post" action="{% url 'accounts:delete_sb' sb.ega_box_number %}"
                            style="white-space: initial;">
                            {% csrf_token %}
                            <button type="submit" class="btn btn-danger btn-sm">
                                x
                            </button>

                        </form>
                    </td>
                </tr>
                {% endfor %}
            </tbody>

        </table>
    </div>
    <br>
    <br>
    <br>
    <div >

        <table id="dtPluginExample2" class="table table-striped table-hover dt-responsive  display nowrap mytables "
            style="width:100%">
            <thead>
                <tr>
                    <th>ega_box_number</th>
                    <th>account_accession</th>
                    <th>emails</th>
                    <th>submission_type</th>
                    <th>country</th>
                    <th>region</th>
                    <th>comments</th>
                    <th>account_opened_date</th>
                    <th>Delete</th>
                </tr>
            </thead>
            <tbody>
                {% for sb in accounts %}
                <tr>
                    <td>{{sb.ega_box_number}}</td>
                    <td>{{sb.account_accession}} </td>
                    <td>{{sb.emails}}</td>
                    <td> {{sb.submission_type}} </td>
                    <td>{{sb.country}}</td>
                    <td>{{sb.region}}</td>
                    <td>{{sb.comments}}</td>
                    <td>{{sb.account_opened_date}}</td>
                    <td>
                        <form method="post" action="{% url 'accounts:delete_sb' sb.ega_box_number %}"
                            style="white-space: initial;">
                            {% csrf_token %}
                            <button type="submit" class="btn btn-danger btn-sm">
                                x
                            </button>

                        </form>
                    </td>
                </tr>
                {% endfor %}
            </tbody>

        </table>
    </div>
</div>

{% endblock %}

{% block custom_js %}
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.3.1.js" type="text/javascript" language="javascript"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"
    integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
    crossorigin="anonymous"></script>



<!---->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
<script type="text/javascript"
    src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.18/af-2.3.2/b-1.5.4/b-colvis-1.5.4/b-flash-1.5.4/b-html5-1.5.4/b-print-1.5.4/cr-1.5.0/fc-3.2.5/fh-3.1.4/kt-2.5.0/r-2.2.2/rg-1.1.0/rr-1.2.4/sc-1.5.0/sl-1.2.6/datatables.min.js"></script>




<script>

    $(document).ready(function () {

        var strIconSearch = '<i class="fas fa-search"></i>';
        var tableTitle = 'Summary of Acounts';
        var tableSubTitle = 'Current Listing of Acounts';

        var tableBS4 = $('.mytables').DataTable({
            language: {
                lengthMenu: "Show _MENU_ Entries",
                search: strIconSearch,
                info: "Showing _START_ to _END_ of _TOTAL_ Entries"
            },
            pageLength: 10,
            searching: true,
            info: true,
            columnDefs: [

                { targets: [1, 4], className: 'text-center bg-warning' },
                { targets: [1, 2, 3], className: 'text-left bg-light' }
            ],

            buttons: {
                buttons: [
                    {
                        extend: 'copyHtml5',
                        text: '<i class="fas fa-copy"></i>',
                        className: 'btn-primary',
                        title: tableTitle,
                        messageTop: tableSubTitle,
                        titleAttr: 'Copy to Clipboard'
                    },
                    {
                        extend: 'csvHtml5',
                        text: '<i class="fas fa-file-csv"></i>',
                        className: 'btn-primary',
                        titleAttr: 'Export to CSV'
                    },
                    {
                        extend: 'excelHtml5',
                        text: '<i class="fas fa-file-excel"></i>',
                        className: 'btn-primary',
                        title: tableTitle,
                        messageTop: tableSubTitle,
                        titleAttr: 'Export to Excel'
                    },
                    {
                        extend: 'pdfHtml5',
                        text: '<i class="fas fa-file-pdf"></i>',
                        className: 'btn-primary',
                        title: tableTitle,
                        messageTop: tableSubTitle,
                        titleAttr: 'Export to PDF'
                    },
                    {
                        extend: 'print',
                        text: '<i class="fas fa-print"></i>',
                        className: 'btn-primary',
                        title: tableTitle,
                        messageTop: tableSubTitle,
                        titleAttr: 'Print Table'
                    },
                    {
                        extend: 'colvis',
                        text: '<i class="fas fa-columns"></i>',
                        className: 'btn-primary',
                        titleAttr: 'Show/Hide Columns'
                    }
                ],
                dom: {
                    button: {
                        className: 'btn'
                    }
                }
            },
            drawCallback: function (settings, buttons) {
                // Pagination - Add BS4-Class for Horizontal Alignment (in second of 2 columns) & Top Margin
                $('.mytables_wrapper .col-md-7:eq(0)').addClass("d-flex justify-content-center justify-content-md-end");
                $('.mytables_paginate').addClass("mt-3 mt-md-2");
                $('.mytables_paginate ul.pagination').addClass("pagination-sm");

            }
        });

        var divTitle = ''

            + '<div class="col-12 text-center text-md-left">'
            + '<h4 class="text-primary" style="margin-top: 30px;">' + 'Summary of Submission Boxes' + '</h4>'
            + '<h5 class="text-primary">' + 'Pre-assigned Accounts' + '</h5>'
            + '<hr class="m-0 mb-4" style="border:none; background-color:rgba(0,75,141,1.0); color:rgba(0,75,141,1.0); height:1px;" />'
            + '</div>';
        $(divTitle).prependTo('#dtPluginExample_wrapper .row:eq(0)');


        var divTitle = ''

            + '<div class="col-12 text-center text-md-left">'
            + '<h4 class="text-primary" >' + 'Summary of Submission Accounts' + '</h4>'
            + '<h5 class="text-primary">' + 'Assigned accounts' + '</h5>'
            + '<hr class="m-0 mb-4" style="border:none; background-color:rgba(0,75,141,1.0); color:rgba(0,75,141,1.0); height:1px;" />'
            + '</div>';
        $(divTitle).prependTo('#dtPluginExample2_wrapper .row:eq(0)');

        tableBS4.buttons().container().addClass("col-sm-12 col-md-6 align-self-end");
        tableBS4.buttons().container().prependTo('#eee');
        $('thead tr th').removeClass("bg-warning bg-light bg-success").addClass("bg-dark text-white").css("font-size", "0.85rem");


        $('#mySearch').on('keyup click', function () {
            tableBS4.tables().search($(this).val()).draw();

        });
    });

</script>
{% endblock %}